<html>
<body>
{% if edit_task %}
    <form method="POST" action="./update">
        <input type="hidden" value="{{edit_task.id}}" name="id">
        <input type="text" name="name" value="{{edit_task.name}}">
        <input type="submit" value="Update">
    </form>
{% else %}
     <form method="POST" action="./add">
        <input type="text" name="name">
        <input type="submit" value="Add">
    </form>
{% endif %}

<table width="90%" border="1" cellspacing="1" cellpadding="3">
    <tr>
        <td> ID</td>
        <td>Name</td>
        <td>Completed?</td>
        <td>Action</td>

    </tr>

    {% for task in tasks %}
    <tr>
        <td>
            {{loop.index}}
        </td>
        <td>
            {{task.name}}
        </td>
        <td>
            {% if task.is_completed == 1  %}
                <span> Yes </span>
            {% else %}
                <span> No </span>
          {% endif %}
        <td>
          <a href="{{ url_for('.edit', task_id=task.id) }}">Edit</a>
            |
            {% if task.is_completed == 1  %}
            <a href="{{ url_for('.mark_pending', task_id=task.id) }}">Mark Pending</a>
            {% else %}
             <a href="{{ url_for('.mark_done', task_id=task.id) }}">Mark Done</a>
            {% endif %}
        </td>
    </tr>

    {% endfor %}
</table>
</body>
</html>
